List Location Dump Destinations
curl --request GET \
--url https://api.crosoftware.com/v0/locations/{location_id}/dump_destinations \
--header 'Authorization: Bearer <token>' \
--header 'x-tenant-id: <x-tenant-id>'import requests
url = "https://api.crosoftware.com/v0/locations/{location_id}/dump_destinations"
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.crosoftware.com/v0/locations/{location_id}/dump_destinations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"current_limit": 123,
"current_page": 123,
"results": [
{
"address": {
"id": 123,
"latitude": "<string>",
"line_1": "<string>",
"line_2": "<string>",
"line_3": "<string>",
"line_4": "<string>",
"locality": "<string>",
"longitude": "<string>",
"postcode": "<string>",
"region": "<string>"
},
"contact": {
"email": "jsmith@example.com",
"id": 123,
"name": "<string>",
"number": "<string>"
},
"description": "<string>",
"id": 123,
"is_holding_yard": true,
"location_id": 123
}
],
"total_count": 123,
"total_pages": 123
}Dump Destinations
List Location Dump Destinations
List dump destinations for location.
GET
/
locations
/
{location_id}
/
dump_destinations
List Location Dump Destinations
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
Version identifier (date format).
Tenant identifier. Contact CRO Software for more info if you don't already have this id. See list tenant ids for info on listing the tenants you have access to.
Path Parameters
Location identifier.
Response
200 - application/json
Success
Dump destination list (paged).
⌘I